Open a VM serial console WebSocket
GET
/vm/{rid}/console
const url = 'https://sylve.lan:8181/api/vm/1/console?baudrate=115200&auth=example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/vm/1/console?baudrate=115200&auth=example' \ --header 'Authorization: <Authorization>'Validate the VM serial console and upgrade to an authenticated interactive WebSocket session
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”rid
required
integer
Virtual Machine RID
Query Parameters
Section titled “Query Parameters”baudrate
integer
Serial baud rate
auth
required
string
Hex-encoded WebSocket authentication payload
Responses
Section titled “Responses”Switching Protocols
string
Bad Request
object
data
error
string
message
string
status
string
Unauthorized
object
data
error
string
message
string
status
string
Forbidden
object
data
error
string
message
string
status
string
VM Not Found
object
data
error
string
message
string
status
string
Conflict
object
data
error
string
message
string
status
string
Internal Server Error
object
data
error
string
message
string
status
string
Service Unavailable
object
data
error
string
message
string
status
string